com.google.appengine.api.mail

## Class MailService.Attachment

- java.lang.Object
- - com.google.appengine.api.mail.MailService.Attachment

- Enclosing interface:
    MailService

      public static class MailService.Attachment
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attachment(java.lang.String fileName, byte[] data)` Attachments are an optional part of messages, but if present, all information about them must be provided.
    `Attachment(java.lang.String fileName, byte[] data, java.lang.String contentID)` Attachments are an optional part of messages, but if present, all information about them must be provided.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentID()`
    `byte[]` | `getData()` Gets the content of this attachment.
    `java.lang.String` | `getFileName()` Gets the file name of this attachment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attachment

          public Attachment(java.lang.String fileName,
                            byte[] data)

      Attachments are an optional part of messages, but if present, all information about them must be provided.
      Parameters:
        `fileName` - The attachment must have a filename associated with it. The extension on that filename must be present and white-listed, or there will be a failure at send time.
        `data` - An array with arbitrary byte content. The array must be be present, but may be of zero length.
      Throws:
        `java.lang.IllegalArgumentException` - if either fileName or data are missing.

    - #### Attachment

          public Attachment(java.lang.String fileName,
                            byte[] data,
                            java.lang.String contentID)

      Attachments are an optional part of messages, but if present, all information about them must be provided.
      Parameters:
        `fileName` - The attachment must have a filename associated with it. The extension on that filename must be present and white-listed, or there will be a failure at send time.
        `data` - An array with arbitrary byte content. The array must be be present, but may be of zero length.
        `contentID` - The attachment's content ID. May be null.
      Throws:
        `java.lang.IllegalArgumentException` - if either fileName or data are missing.

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

      Gets the file name of this attachment.
      Returns:
        The file name of this attachment.

    - #### getData

          public byte[] getData()

      Gets the content of this attachment.
      Returns:
        The raw data of this attachment.

    - #### getContentID

          public java.lang.String getContentID()